Unit tde16r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE16R_p, DE16R_p;

function tde16r: String;

implementation

function tde16r: String;
var
M,_i,IERR :Integer;
XN,XK,HMIN,EPS,P,H,Y1,Y2 :Real;
YN :Array [0..1] of Real;
Y :Array [0..1] of Real;
RAB :Array [0..12] of Real;
begin
Result := '';  {   }
M := 2;
XN := 0.0;
YN[0] := 1.0;
YN[1] := -2.0;
XK := 3.141592653589793238;
HMIN := 1.E-14;
EPS := 1.E-5;
P := 100.0;
H := 0.01;
DE16R(FDE16R,M,XN,YN,XK,HMIN,EPS,P,H,Y,RAB,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
Y1 := 0.1*XK+Sin(XK)+1.0;
Y2 := -0.1*XK-Cos(XK)-1.0;
Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
UtRes('tde16r',Result);  {     tde16r.res }
exit;
end;

end.
